The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get all the SSL Outbound Exception Rules

Prev Next

This URL gets all the outbound exception rules at domain level.

Resource URL

GET /domain/<domainId>/outboundsslexceptions

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

The id of the domain

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

rules

List of outbound exception rules

Array

Details of object in rules:

Field Name

Description

Data Type

id

Id of the outbound SSL

Number

state

State of the rule (Enabled/Disabled)

String

name

Name of the rule

String

resource

List of resources on which the rule has to be assigned

Array

attacker

List of the objects in the source network rule

Object

target

List of the objects in the destination network rule

Object

targetHostName

List of the objects in the target host names rule

Array

targetUrlCategories

List of URL categories

Array

lastUpdatedByTime

Time of the last update

String

lastUpdatedByUserName

User under which the last update occurred

String

comment

Comment

String

ownerDomain

Domain

String

Details of object in resource:

Field Name

Description

Data Type

resourceId

ID of the resource

Number

resourceName

Name of the resource

String

resourceType

Indicates the type of interface on which the Ignore Rule is created. The possible values include:

  • 0: The resource type is domain (for rules defined at the domain level)

  • 1: The resource type is Sensor (for rules defined at the Sensor level)

  • 2: The resource type is Vids (for rules defined at the interface and the sub-interface levels)

  • 3: The resource type is NTBA_ZONE (for rules defined at NTBA inside and outside zones)

  • 4: The resource type is NTBA_SENSOR (for rules defined at NTBA level)

  • 5: The resource type is NTBA_DOMAIN

Number

sensorId

Id of the Sensor

Number

Details of the attacker:

Field Name

Description

Data Type

AttackerEndPoint

Attacker rule objects on which the ignore rules will be applied.

Array of string

Details of the target:

Field Name

Description

Data Type

TargetEndPoint

Target rule objects on which the ignore rules will be applied.

Array of string

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/outboundsslexceptions

Response

{
"rules":[{"id":176,"state":"ENABLED","name":"test","attack":null,"resource":[],"attacker":{"AttackerEndPoint":["FireWall_IPv4_Dst_15_1_7_251"],
"AttackerPort":"ANY","AttackerPortNumber":null},"target":{"TargetEndPoint":["FireWall_IPv4_Dst_15_1_7_251"],"TargetPort":"ANY",
"TargetPortNumber":null},"targetHostName":[],"targetUrlCategories":["Entertainment"],"lastUpdatedByTime":1519627703000,
"lastUpdatedByUserName":"admin","comment":"test","ownerDomain":"My Company"}]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

500

1001

Internal error